OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
HeaderSection

# HeaderSection_FileSchema Class Reference

`#include <HeaderSection_FileSchema.hxx>`

## Public Member Functions
Standard_EXPORT | HeaderSection_FileSchema ()
| Returns a FileSchema .
Standard_EXPORT void | Init (const Handle(Interface_HArray1OfHAsciiString)&aSchemaIdentifiers)
Standard_EXPORT void | SetSchemaIdentifiers (const Handle(Interface_HArray1OfHAsciiString)&aSchemaIdentifiers)
Standard_EXPORT Handle_Interface_HArray1OfHAsciiString | SchemaIdentifiers () const
Standard_EXPORT Handle_TCollection_HAsciiString | SchemaIdentifiersValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbSchemaIdentifiers () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Interface_HArray1OfHAsciiString | schemaIdentifiers

## Constructor & Destructor Documentation

Standard_EXPORT HeaderSection_FileSchema::HeaderSection_FileSchema | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const HeaderSection_FileSchema::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void HeaderSection_FileSchema::Init | ( | const Handle(Interface_HArray1OfHAsciiString)& | aSchemaIdentifiers | ) |

Standard_EXPORT Standard_Integer HeaderSection_FileSchema::NbSchemaIdentifiers | ( |  | ) | const

Standard_EXPORT Handle_Interface_HArray1OfHAsciiString HeaderSection_FileSchema::SchemaIdentifiers | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString HeaderSection_FileSchema::SchemaIdentifiersValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void HeaderSection_FileSchema::SetSchemaIdentifiers | ( | const Handle(Interface_HArray1OfHAsciiString)& | aSchemaIdentifiers | ) |

## Field Documentation

Handle_Interface_HArray1OfHAsciiString HeaderSection_FileSchema::schemaIdentifiers`[private]`

The documentation for this class was generated from the following file:

- HeaderSection_FileSchema.hxx